std::aligned_union< _Len, _Types >(3)

NAME
std::aligned_union< _Len, _Types > - Provide aligned storage for types.

SYNOPSIS

#include <type_traits>

  Public Types
using type
The storage.

  Static Public Attributes
static const size_t alignment_value
The value of the strictest alignment of _Types.

Detailed Description

  template<size_t _Len, typename... _Types>
struct std::aligned_union< _Len, _Types >"Provide aligned storage for types. [meta.trans.other]

Provides aligned storage for any of the provided types of at least size _Len.

See also
    aligned_storage

Deprecated
    Deprecated in C++23.

Author

Generated automatically by Doxygen for libstdc++ from the source code.